Lavalite package that provides register2 management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/register2`.

    "litecms/register2": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Register2\Providers\Register2ServiceProvider::class,

And also add it to alias

    'Register2'  => Litecms\Register2\Facades\Register2::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\Register2TableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Register2\Providers\Register2ServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Register2\Providers\Register2ServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Register2\Providers\Register2ServiceProvider" --tag="view"


## Usage


